# open this flag when support more pkg in the future
%bcond_with tests

Summary:        A requests mocking tool for python
Name:           python-requests-mock
Version:        1.9.3
Release:        3%{?dist}
License:        ASL 2.0
URL:            https://requests-mock.readthedocs.io/
Source0:        https://pypi.io/packages/source/r/requests-mock/requests-mock-%{version}.tar.gz

Patch3000:      0002-Use-system-urllib3-package.patch
Patch3001:      0003-Allow-skipping-purl-tests-if-it-is-not-present.patch

BuildArch:      noarch

%description
requests-mock provides a simple way to do HTTP mocking at the python-requests layer.


%package -n python%{python3_pkgversion}-requests-mock
Summary:        A requests mocking tool for python

Requires:       python%{python3_pkgversion}-requests python%{python3_pkgversion}-six

BuildRequires:  python%{python3_pkgversion}-requests python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-six python%{python3_pkgversion}-pbr
BuildRequires:  python%{python3_pkgversion}-urllib3 python%{python3_pkgversion}-setuptools

%if %{with tests}
BuildRequires:  python%{python3_pkgversion}-fixtures python%{python3_pkgversion}-testtools
BuildRequires:  python%{python3_pkgversion}-mock python%{python3_pkgversion}-pytest
%endif

%description -n python%{python3_pkgversion}-requests-mock
requests-mock provides a simple way to do HTTP mocking at the python-requests layer.

%prep
%autosetup -n requests-mock-%{version} -p1
rm -rf requests_mock.egg-info

%build
%py3_build

%install
%py3_install

%check
%if %{with tests}
%{__python3} -m testtools.run discover
%{__python3} -m pytest tests/pytest
%endif

%files -n python%{python3_pkgversion}-requests-mock
%license LICENSE
%doc README.rst ChangeLog
%{python3_sitelib}/requests_mock
%{python3_sitelib}/requests_mock-%{version}-py%{python3_version}.egg-info

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.9.3-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.9.3-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Jan 13 2023 Shuo Wang <abushwang@tencent.com> - 1.9.3-1
- initial build
